Bug 1276761 - CVE-2015-8777 glibc: apply additional pointer guard hardening
CVE-2015-8777 glibc: apply additional pointer guard hardening
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Florian Weimer
Fedora Extras Quality Assurance
: Reopened
: 1260583 1299755 (view as bug list)
Depends On:
Blocks: CVE-2015-8777 1299754
  Show dependency treegraph
 
Reported: 2015-10-30 15:10 EDT by Florian Weimer
Modified: 2016-11-08 10:52 EST (History)
10 users (show)

See Also:
Fixed In Version: glibc-2.22-6.fc23 glibc-2.21-11.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-17 07:50:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2015-10-30 15:10:28 EDT
Apply the following upstream patches:

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=a014cecd82b71b70a6a843e250e06b541ad524f7
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=f586e1328681b400078c995a0bb6ad301ef73549

These will provide additional hardening to make exploitation of memory safety violations more difficult.
Comment 1 Fedora Update System 2015-12-05 11:47:44 EST
glibc-2.22-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7174c4d68d
Comment 2 Fedora Update System 2015-12-06 12:20:36 EST
glibc-2.22-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update glibc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7174c4d68d
Comment 3 Fedora Update System 2015-12-06 14:18:16 EST
glibc-2.22-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Florian Weimer 2016-01-19 03:53:04 EST
*** Bug 1299755 has been marked as a duplicate of this bug. ***
Comment 5 Florian Weimer 2016-02-08 06:53:20 EST
*** Bug 1260583 has been marked as a duplicate of this bug. ***
Comment 6 Fedora Update System 2016-02-08 10:54:25 EST
glibc-2.21-10.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0480defc94
Comment 7 Fedora Update System 2016-02-10 06:55:14 EST
glibc-2.21-10.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0480defc94
Comment 8 Fedora Update System 2016-02-16 11:10:40 EST
glibc-2.21-11.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0480defc94
Comment 9 Fedora Update System 2016-02-17 01:28:11 EST
glibc-2.21-11.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0480defc94
Comment 10 Fedora Update System 2016-02-17 07:49:26 EST
glibc-2.21-11.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.